Bug 252514 - sysutils/datadog-agent: Update to 7.24.1
Summary: sysutils/datadog-agent: Update to 7.24.1
Status: Closed FIXED
Alias: None
Product: Ports & Packages
Classification: Unclassified
Component: Individual Port(s) (show other bugs)
Version: Latest
Hardware: Any Any
: --- Affects Many People
Assignee: Dmitri Goutnik
URL:
Keywords:
Depends on:
Blocks:
 
Reported: 2021-01-08 12:59 UTC by uros
Modified: 2021-01-11 13:44 UTC (History)
2 users (show)

See Also:


Attachments
shar file for the port (94.17 KB, text/plain)
2021-01-08 17:16 UTC, uros
uros: maintainer-approval-
Details
patch for new changes (14.35 KB, patch)
2021-01-11 10:54 UTC, uros
uros: maintainer-approval+
Details | Diff

Note You need to log in before you can comment on or make changes to this bug.
Description uros 2021-01-08 12:59:33 UTC
This change upgrades port to the latest. I uncluded a fix from 
https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=251924 and https://bugs.freebsd.org/bugzilla/show_bug.cgi?id=251926

So both can be closed as duplicates.

I'm working on datadog-integrations upgrade as well.
Comment 1 Fernando Apesteguía freebsd_committer 2021-01-08 17:11:42 UTC
^Triage: If there is a changelog or release notes URL available for this version, please add it to the URL field.

^Triage: Please set the maintainer-approval attachment flag (to +) on patches for ports you maintain to signify approval.
--
Attachment -> Details -> maintainer-approval [+]
Comment 2 uros 2021-01-08 17:16:58 UTC
Created attachment 221393 [details]
shar file for the port
Comment 3 uros 2021-01-08 17:18:43 UTC
Changelog

- Loosen cmake requirement
- Add additional info about memory
- Upgrade agent to 7.24.1
Comment 4 Dmitri Goutnik freebsd_committer 2021-01-10 13:26:44 UTC
(In reply to uros from comment #3)
Thanks for the update!

Instead of shar, could you please attach a diff against the current ports tree [1]?

Also, the attached shar seems to have the same content as the currently committed sysutils/datadog-agent 7.23.1_1 port.

[1] https://www.freebsd.org/doc/en/books/porters-handbook/book.html#svn-diff
Comment 5 uros 2021-01-11 10:33:32 UTC
I'll review and update the file with diff.
Comment 6 uros 2021-01-11 10:53:26 UTC
Comment on attachment 221393 [details]
shar file for the port

Invalid attachment
Comment 7 uros 2021-01-11 10:54:29 UTC
Created attachment 221453 [details]
patch for new changes
Comment 8 commit-hook freebsd_committer 2021-01-11 13:44:35 UTC
A commit references this bug:

Author: dmgk
Date: Mon Jan 11 13:44:30 UTC 2021
New revision: 561215
URL: https://svnweb.freebsd.org/changeset/ports/561215

Log:
  sysutils/datadog-agent: Update to 7.24.1

  - Loosen cmake requirement
  - Add additional info about memory
  - Upgrade agent to 7.24.1

  PR:		252514
  Submitted by:	uros@gruber.si (maintainer)

Changes:
  head/sysutils/datadog-agent/Makefile
  head/sysutils/datadog-agent/distinfo
  head/sysutils/datadog-agent/files/patch-pkg_collector_corechecks_system_memory__nix.go
Comment 9 Dmitri Goutnik freebsd_committer 2021-01-11 13:44:59 UTC
Committed, thanks!